
Refer to my bank C3 disassembly for the original code:
http://www.romhacking.net/documents/736/


===============================================================================
 SNES code - Custom icons
===============================================================================

; Asar directives
hirom

; -----------------------------[ Segment edits ]-------------------------------

org $C39125

; Draw actor info in Equip menu, update status based on gear
C39125:  JSR C3922D     ; Draw relic FX

; -----------------------------[ Optimizations ]-------------------------------

org $C3C681

; Shrink sideview airship and scroll clouds
C3C681:  LDA $23         ; NMI count
         LSR A           ; Odd value?
         REP #$20        ; 16-bit A
         BCS C3C6A6      ; Branch if odd
         INC $8E         ; Matrix A +1
C3C6A6:  LDA $8E         ; Matrix A
         STA $0600       ; Set for airship
         STZ $07C2       ; Matrix B: 0
         STZ $0984       ; Matrix C: 0

; Fork: Scroll clouds
C3C6BF:  DEC $35         ; BG1's X -1
         DEC $B7         ; Center X -1
         LDX #$0002      ; First: Y
.loop    LDA $35,X       ; BG1 X or Y
         STA $B691,X     ; To HDMA table
         LDA $B7,X       ; Center X or Y
         STA $B699,X     ; To HDMA table
         DEX             ; Index -1
         DEX             ; Index -1
         BPL .loop       ; Loop till < 0
         SEP #$21        ; 8-bit A; requeue
         RTS

; ------------------------[ Relic effect indicators ]--------------------------

; Draw relic effects in Equip menu
C3922D:  LDX #$7B37      ; Base tilemap ptr
         LDA #$20        ; Merit Award bit
         LDY #$2CEB      ; Tile attributes
         JSR .check      ; Handle M.Award
         LDA #$08        ; Gauntlet bit
         LDY #$2CEC      ; Tile attributes
         JSR .check      ; Handle Gauntlet
         LDA #$10        ; Genji Glove bit
         LDY #$2CED      ; Tile attributes

; Fork: Handle current relic effect
.check   AND $11D8       ; Got this effect?
         BEQ .exit       ; Skip it if not
         REP #$20        ; 16-bit A
         TYA             ; Tile attributes
         STA $7E0000,X   ; Put in tilemap
         SEP #$20        ; 8-bit A

; Fork: Move two rows upward
         LDA #$80        ; Loop counter
.loop    DEX             ; Tilemap ptr -1
         DEC A           ; Counter -1
         BNE .loop       ; Loop till 0
.exit    RTS


warnpc $C3C6DC


; Armor icon graphics
org $C48E70 : dw $C66C,$D6AA,$38DE,$7CCA,$3864,$54BA,$54AA,$007C

; Gauntlet icon graphics
org $C48E80 : dw $3078,$18EC,$ECBB,$0DF3,$E1BF,$0DF2,$75DA,$007D

; Crossed-swords icon graphics
org $C48E90 : dw $8181,$C381,$66C3,$3C66,$5A76,$247E,$4A3C,$91CB


===============================================================================
 SNES code - Default icons
===============================================================================

; Asar directives
hirom

; -----------------------------[ Segment edits ]-------------------------------

org $C39125

; Draw actor info in Equip menu, update status based on gear
C39125:  JSR C3922D     ; Draw relic FX

; -----------------------------[ Optimizations ]-------------------------------

org $C3C681

; Shrink sideview airship and scroll clouds
C3C681:  LDA $23         ; NMI count
         LSR A           ; Odd value?
         REP #$20        ; 16-bit A
         BCS C3C6A6      ; Branch if odd
         INC $8E         ; Matrix A +1
C3C6A6:  LDA $8E         ; Matrix A
         STA $0600       ; Set for airship
         STZ $07C2       ; Matrix B: 0
         STZ $0984       ; Matrix C: 0

; Fork: Scroll clouds
C3C6BF:  DEC $35         ; BG1's X -1
         DEC $B7         ; Center X -1
         LDX #$0002      ; First: Y
.loop    LDA $35,X       ; BG1 X or Y
         STA $B691,X     ; To HDMA table
         LDA $B7,X       ; Center X or Y
         STA $B699,X     ; To HDMA table
         DEX             ; Index -1
         DEX             ; Index -1
         BPL .loop       ; Loop till < 0
         SEP #$21        ; 8-bit A; requeue
         RTS

; ------------------------[ Relic effect indicators ]--------------------------

; Draw relic effects in Equip menu
C3922D:  LDX #$7B37      ; Base tilemap ptr
         LDA #$20        ; Merit Award bit
         LDY #$2CE4      ; Tile attributes
         JSR .check      ; Handle M.Award
         LDA #$08        ; Gauntlet bit
         LDY #$2CDA      ; Tile attributes
         JSR .check      ; Handle Gauntlet
         LDA #$10        ; Genji Glove bit
         LDY #$2CDB      ; Tile attributes

; Fork: Handle current relic effect
.check   AND $11D8       ; Got this effect?
         BEQ .exit       ; Skip it if not
         REP #$20        ; 16-bit A
         TYA             ; Tile attributes
         STA $7E0000,X   ; Put in tilemap
         SEP #$20        ; 8-bit A

; Fork: Move two rows upward
         LDA #$80        ; Loop counter
.loop    DEX             ; Tilemap ptr -1
         DEC A           ; Counter -1
         BNE .loop       ; Loop till 0
.exit    RTS


warnpc $C3C6DC


===============================================================================
 SFC code - Custom icons
===============================================================================

; Asar directives
hirom
org $C399D6


; Draw relic effects in Equip menu
C399D6:  LDX #$7AAF      ; Base tilemap ptr
         LDA #$10        ; Genji Glove bit
         LDY #$2CFA      ; Tile attributes
         JSR .check      ; Handle G. Glove
         LDA #$08        ; Gauntlet bit
         LDY #$2CF9      ; Tile attributes
         JSR .check      ; Handle Gauntlet
         LDA #$20        ; Merit Award bit
         LDY #$2CF8      ; Tile attributes

; Fork: Handle current relic effect
.check   AND $11D8       ; Got this effect?
         BEQ .exit       ; Skip it if not
         REP #$20        ; 16-bit A
         TYA             ; Tile attributes
         STA $7E0000,X   ; Put in tilemap
         SEP #$20        ; 8-bit A

; Fork: Move two columns rightward
         INX             ; Tilemap ptr +1
         INX             ; Tilemap ptr +1
         INX             ; Tilemap ptr +1
         INX             ; Tilemap ptr +1
.exit    RTS


warnpc $C39A17
padbyte $FF : pad $C39A17


; Armor icon graphics
org $C48F40 : dw $C66C,$D6AA,$38DE,$7CCA,$3864,$54BA,$54AA,$007C

; Gauntlet icon graphics
org $C48F50 : dw $3078,$18EC,$ECBB,$0DF3,$E1BF,$0DF2,$75DA,$007D

; Crossed-swords icon graphics
org $C48F60 : dw $8181,$C381,$66C3,$3C66,$5A76,$247E,$4A3C,$91CB


; 24 free bytes before $C39A17
; 46 free bytes at $C3ABD6


===============================================================================
 SFC code - Default icons
===============================================================================

; Asar directives
hirom
org $C399D6


; Draw relic effects in Equip menu
C399D6:  LDX #$7AAF      ; Base tilemap ptr
         LDA #$10        ; Genji Glove bit
         LDY #$2CE6      ; Tile attributes
         JSR .check      ; Handle G. Glove
         LDA #$08        ; Gauntlet bit
         LDY #$2CE5      ; Tile attributes
         JSR .check      ; Handle Gauntlet
         LDA #$20        ; Merit Award bit
         LDY #$2CF1      ; Tile attributes

; Fork: Handle current relic effect
.check   AND $11D8       ; Got this effect?
         BEQ .exit       ; Skip it if not
         REP #$20        ; 16-bit A
         TYA             ; Tile attributes
         STA $7E0000,X   ; Put in tilemap
         SEP #$20        ; 8-bit A

; Fork: Move two columns rightward
         INX             ; Tilemap ptr +1
         INX             ; Tilemap ptr +1
         INX             ; Tilemap ptr +1
         INX             ; Tilemap ptr +1
.exit    RTS


warnpc $C39A17


; 24 free bytes before $C39A17
; 46 free bytes at $C3ABD6
